import request from '@/utils/request'

// 查询平台游记(天)列表
export function listExperience(query) {
  return request({
    url: '/tuya/tuyaexperience/list',
    method: 'get',
    params: query
  })
}

// 查询平台游记(天)详细
export function getExperience(id) {
  return request({
    url: '/tuya/tuyaexperience/' + id,
    method: 'get'
  })
}

// 新增平台游记(天)
export function addExperience(data) {
  return request({
    url: '/tuya/tuyaexperience',
    method: 'post',
    data: data
  })
}

// 修改平台游记(天)
export function updateExperience(data) {
  return request({
    url: '/tuya/tuyaexperience',
    method: 'put',
    data: data
  })
}

// 删除平台游记(天)
export function delExperience(id) {
  return request({
    url: '/tuya/tuyaexperience/' + id,
    method: 'delete'
  })
}

// 查询平台下拉列表
export function selectlist() {
  return request({
    url: '/tuya/tuyatravel/selectlist',
    method: 'get'
  })
}
